<?php
namespace Entity;

class ImageEntity
{
    private int $idImg; // ID of the image
    private string $imgPath; // Path to the image file

    /**
     * Constructor for ImageEntity
     *
     * @param int $idImg ID of the image
     * @param string $imgPath Path to the image file
     */
    public function __construct(int $idImg, string $imgPath)
    {
        $this->idImg = $idImg;
        $this->imgPath = $imgPath;
    }

    /**
     * Get the ID of the image
     *
     * @return int
     */
    public function getIdImg(): int
    {
        return $this->idImg;
    }

    /**
     * Set the ID of the image
     *
     * @param int $idImg
     */
    public function setIdImg(int $idImg): void
    {
        $this->idImg = $idImg;
    }

    /**
     * Get the path to the image file
     *
     * @return string
     */
    public function getImgPath(): string
    {
        return $this->imgPath;
    }

    /**
     * Set the path to the image file
     *
     * @param string $imgPath
     */
    public function setImgPath(string $imgPath): void
    {
        $this->imgPath = $imgPath;
    }
}
