<?php
namespace Entity;

use Enum\TypeSourceEnum;

class SourceEntity
{
    private int $id_source; // ID of the source

    private string $title; // Title of the source

    private string $date; // Date of the source

    private TypeSourceEnum $type; // Type of the source

    /**
     * Constructor to initialize the SourceEntity object
     *
     * @param int $id_source
     * @param string $title
     * @param string $date
     * @param TypeSourceEnum $type
     */
    public function __construct(int $id_source, string $title, string $date, TypeSourceEnum $type)
    {
        $this->id_source = $id_source;
        $this->title = $title;
        $this->date = $date;
        //$this->type = $type; // Uncomment this line to initialize the type
    }

    /**
     * Get the ID of the source
     *
     * @return int
     */
    public function getIdSource(): int
    {
        return $this->id_source;
    }

    /**
     * Set the ID of the source
     *
     * @param int $id_source
     */
    public function setIdSource(int $id_source): void
    {
        $this->id_source = $id_source;
    }

    /**
     * Get the title of the source
     *
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * Set the title of the source
     *
     * @param string $title
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }

    /**
     * Get the date of the source
     *
     * @return string
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * Set the date of the source
     *
     * @param string $date
     */
    public function setDate(string $date): void
    {
        $this->date = $date;
    }

    /**
     * Get the type of the source
     *
     * @return TypeSourceEnum
     */
    public function getType(): TypeSourceEnum
    {
        return $this->type;
    }

    /**
     * Set the type of the source
     *
     * @param TypeSourceEnum $type
     */
    public function setType(TypeSourceEnum $type): void
    {
        $this->type = $type;
    }
}
